Subject: [Hubmib] RE: Questions on EPON MIB index

From: "Lior Khermosh" <[email-masked]>
Date: Mon, 10 Jul 2006 00:49:04 +0300

Dear Mr Wei,
Thank you very much for the comment.
The subscription to the mail list reflector is quite easy. I have CC'ed the mail to the reflector also.
                  Mailing Lists:  General Discussion: [email-masked]
                    To Subscribe: [email-masked]
                    In Body: subscribe your_email_address

As for the comment itself:
There will be a separate ifIndex for each OLT interface and for the virtual interfaces of each interface. The ifStackTable (of the interface MIB) will provide the hierarchy of the interfaces, and this will provide you the additional information you need. You can find additional information in RFC2863
 
In the next draft I am adding an example for that as specified by the MIB Doctor review.
Here is a quote of that:
 
"
  A "headend" is shown in the figure below:

                                         ---------
             1st OLT interface | Head | gigE interface
                    ------------------ | end   |--------------------
                                       |         |
                     ------------------|         |
             2nd OLT interface |        |
                                        ---------
 
   This device would have 5 entries (when no attached ONUs) in the IF
   table, for example:
 
   ifIndex=1 - interface for gigE interface
 
   ifIndex=200000 - interface for 1st optical interface
 
   ifIndex=300000 - interface for 2nd optical interface
 
   ifIndex=265535 - interface for the 1st OLT broadcast interface
 
   ifIndex=365535 - interface for the 2nd OLT broadcast interface
 
   And then in IF stack table:
 
   ifStackHigherLayer=200000, ifStackLowerLayer=265535 - map between the
   1st physical and its broadcast interface
 
   ifStackHigherLayer=300000, ifStackLowerLayer=365535 - map between the
   2nd physical and its broadcast interface
 
   If two ONUs connected to the first OLT interface, then for example,
   the following entries would be added to the IF table:
 
   ifIndex=200001 - interface for the 1st ONU of 1st OLT
 
   ifIndex=200002 - interface for the 2nd ONU of 1st OLT
 
   And in the IF stack table:
 
   ifStackHigherLayer=200000, ifStackLowerLayer=200001 - map between the
   1st physical and 1st ONU
 
   ifStackHigherLayer=200000, ifStackLowerLayer=200002 - map between the
   1st physical and 2nd ONU
"
 
I will be happy to add any additional information needed.
 
Best regards,
Lior

________________________________

From: 腾飞龙 [mailto:[email-masked]] 
Sent: Friday, July 07, 2006 6:08 PM
To: Lior Khermosh
Subject: Questions on EPON MIB index

Dear Mr Khernosh,
         I have a question on indexing EPON MIB variable as i descrided in a Word file in the attachment. I hope you can give me some guide.
Thank you !
        BTW,i am sorry i didn't submit this letter to the mail list because i haven't subscribe it.
        Jinlong Wei
_______________________________________________
Hubmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hubmib